--- old/usr/src/uts/i86pc/os/fakebop.c	Fri Apr  6 17:25:01 2018
+++ new/usr/src/uts/i86pc/os/fakebop.c	Fri Apr  6 17:25:01 2018
@@ -26,7 +26,7 @@
  * Copyright (c) 2010, Intel Corporation.
  * All rights reserved.
  *
- * Copyright 2013 Joyent, Inc.  All rights reserved.
+ * Copyright 2018 Joyent, Inc.  All rights reserved.
  */
 
 /*
@@ -847,6 +847,12 @@
 	bios_regs_t br;
 
 	/*
+	 * We're about to disable paging; we shouldn't be PCID enabled.
+	 */
+	if (getcr4() & CR4_PCIDE)
+		prom_panic("do_bsys_doint() with PCID enabled\n");
+
+	/*
 	 * The first time we do this, we have to copy the pre-packaged
 	 * low memory bios call code image into place.
 	 */
